Bug 484373 - Review Request: mythes-es - Spanish thesaurus
Summary: Review Request: mythes-es - Spanish thesaurus
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-06 14:51 UTC by Caolan McNamara
Modified: 2009-02-10 23:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-10 23:28:13 UTC
wolfy: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2009-02-06 14:51:34 UTC
Spec URL: http://people.redhat.com/caolanm/rpms/mythes-es.spec
SRPM URL: http://people.redhat.com/caolanm/rpms/mythes-es-0.20090206-1.fc10.src.rpm
Description: Spanish thesaurus

Comment 1 manuel wolfshant 2009-02-07 04:43:02 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [!] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of bundled source: b884671284be50f85e60a9f03ca87fa494deddc2  /bundled/OOo2-thes_es_ES.tar.bz2
     SHA1SUM of file from Source0: e488abc85e63d77278e221e8b44ce893c0b47ca8 /upstream/OOo2-thes_es_ES.tar.bz2
=> it looks like upstream repackages daily the content under the same name.
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-Englis
h languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Testedon: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.

I would approve it but I am not sure how to handle the difference between bundled and upstream sources. How about adding a line in the spec, specifying the reason ? I know that the date used in the release tag should be a hint, but I'd say that a more clear explanation is needed. What do you think ?

Comment 2 Caolan McNamara 2009-02-09 11:49:04 UTC
Its fairly common for linguistic stuff like dictionaries and thesauri to be updated very frequently especially the ones that work with the OpenThesaurus user-submissions mechanism where a new tarball gets generated if there have been any new additions since the previous spin. The same situation arises for the mythes-de one for example.

I can add a line to the spec if that helps clarify it, e.g.
#OpenThesaurus reuses the download url for new tarballs if new submissions are accepted

Comment 3 manuel wolfshant 2009-02-09 12:06:26 UTC
If you cannot persuade upstream to use a sane versioning system for the tarball names, please do include an explanation in the spec

APPROVED

Comment 4 Caolan McNamara 2009-02-09 12:11:59 UTC
New Package CVS Request
=======================
Package Name: mythes-es
Short Description: Spanish thesaurus
Owners: caolanm
Branches: devel
InitialCC:

Comment 5 Kevin Fenzi 2009-02-10 22:33:32 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.